Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    sejmodha
    @sejmodha
    error
    not sure what's wrong with my ete3 install
    Francois Serra
    @fransua
    can you paste the full command you are using?
    sejmodha
    @sejmodha
    just the !ete3 build that brings up this error at the end of the help options
    Francois Serra
    @fransua
    ete3 build alone will bring you errors that you miss a couple of required parameters
    sejmodha
    @sejmodha
    essentially this file does not exist /miniconda3/envs/ete3/lib/python3.6/site-packages/ete3-3.1.2-py3.7.egg/ete3/tools/ete_build.cfg
    Francois Serra
    @fransua
    try ete3 build --help
    ok
    sejmodha
    @sejmodha
    that works just fine! so may be nothing wrong with the install?
    Francois Serra
    @fransua
    go ahead with an example :)
    sejmodha
    @sejmodha
    !ete3 biuld --help works.
    thanks :)
    Francois Serra
    @fransua
    we'll see
    sejmodha
    @sejmodha
    right, so running any ete3 command return the error I mentioned above. e.g. ete3 build -a data/fasta/224324999.sul013.faa -w mafft_default-none-none-fasttree_default \ -o test_tree/ --clearall --compress -t 0.1 --launch-time 0.1
    returns the ete3: error: argument --base-config: invalid is_file value: '/Users/sejmodha/opt/miniconda3/envs/ete3/lib/python3.6/site-packages/ete3-3.1.2-py3.7.egg/ete3/tools/ete_build.cfg' error
    Francois Serra
    @fransua
    ok
    DENG Ziqi
    @dengzq1234
    what's the feedback of 'ete3 build check'?
    Francois Serra
    @fransua
    how did you installed ete3?
    with pip install ete3?
    sejmodha
    @sejmodha
    Followed the steps on GitHub Environment setup steps
    I used conda
    Francois Serra
    @fransua
    ok
    what is the result of the ete3 build check, suggested by Ziqi?
    sejmodha
    @sejmodha
    with build check I get clustalo: MISSING
    codeml: OK - AAML in paml version 4.8a, July 2014
    Dialign-tx not supported in OS X
    everything else OK
    Francois Serra
    @fransua
    did you already had ete installed before?
    sejmodha
    @sejmodha
    I do not think so.
    Francois Serra
    @fransua
    ok
    Jaime may help you
    Jaime Huerta-Cepas
    @jhcepas
    if you get this error "
    returns the ete3: error: argument --base-config: invalid is_file value: '/Users/sejmodha/opt/miniconda3/envs/ete3/lib/python3.6/site-packages/ete3-3.1.2-py3.7.egg/ete3/tools/ete_build.cfg' error"
    make sure you installed ETE as pip install -I ete3
    it has to do with mixing ete3 channels and repos
    sejmodha
    @sejmodha
    does that mean I have to remove the Conda version and install the pip version?
    as pip would install it in the base env
    Jaime Huerta-Cepas
    @jhcepas
    yes
    conda version 3.1.2 is giving that problem with python 3.7, don't know why yet, sorry
    install from pip
    with -I to overwrite conda version
    sejmodha
    @sejmodha
    I see! Thanks for your help.
    Jaime Huerta-Cepas
    @jhcepas
    welcome
    Devinaseeruttun
    @Devinaseeruttun
    thank you
    laurichi13
    @laurichi13
    Thank you!
    DENG Ziqi
    @dengzq1234
    if encounter any technical questions, please post it on the google group
    Mark Gorelik
    @vzg100
    Hey I have a possibly ignorant question about ete
    there's a gallery of examples that's frequently shown but I can't find the code for those examples
    is there a way to find the code behind the examples shown?
    Jaime Huerta-Cepas
    @jhcepas
    unfortunatelly, we don't have the code
    Mark Gorelik
    @vzg100
    ah tyty
    Kirill Bessonov
    @kbessonov1984
    Could the next ete3 release make is_taxadb_up_to_date() optional? See issue #459